Package com.xebialabs.xlrelease.repository

## Enum IdType

- java.lang.Object
- - java.lang.Enum<IdType>
  - - com.xebialabs.xlrelease.repository.IdType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<IdType>`

      public enum IdType
      extends java.lang.Enum<IdType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CONFIGURATION` |
    `DOMAIN` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract java.lang.String` | `convertToInternalId​(java.lang.String viewId)` |
    `abstract java.lang.String` | `convertToViewId​(java.lang.String internalId)` |
    `static IdType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static IdType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DOMAIN

          public static final IdType DOMAIN

    - #### CONFIGURATION

          public static final IdType CONFIGURATION

  - ### Method Detail

    - #### values

          public static IdType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IdType c : IdType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IdType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### convertToInternalId

          public abstract java.lang.String convertToInternalId​(java.lang.String viewId)

    - #### convertToViewId

          public abstract java.lang.String convertToViewId​(java.lang.String internalId)